:root {
    --success-clr: #5cb85c  !important;
    --info-clr: #5383f4  !important;
    --error-clr: #d9534f  !important;
    --white-clr: #ffffff  !important;
    --window-width: 100vw;
    --window-height: 100vh;
}

body {
 overflow: hidden;
 }
html {
 scroll-behavior: smooth;
 }
 .musik {
 position: fixed;
 bottom: 80px;
 right: 30px;
 z-index: 99;
 font-size: 18px;
 border: none;
 outline: none;
 cursor: pointer;
 padding: 15px;
 border-radius: 4px;
 color: white;
 }

  .mapouter {
 position: relative;
 text-align: right;
 height: 500px;
 width: 100%;
 }

 .gmap_canvas { overflow: hidden; background: none !important; height: 500px; width: 100%; }

 /* Alert Styles */
.alert {
    position: fixed;
    min-width: 300px;
    max-width: 720px;
    top: 10px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 7px;
    overflow: hidden;
    text-align: center;
    z-index: 999999999;
    padding: 0 40px 0 20px;
    opacity: 0;
    visibility: hidden;
    transition: all 0.25s ease-in-out;
    color: var(--white-clr);
}

.alert.show {
    opacity: 1;
    visibility: visible;
}

.alert.hide {
    opacity: 0;
    visibility: hidden;
}

.alert.success {
    background: var(--success-clr);
}
.alert.error {
    background: var(--error-clr);
}
.alert.info {
    background: var(--info-clr);
}

.alert-text {
    font-size: 14px;
    font-weight: 500;
    padding: 10px 0 10px 0;
}

.alert-close {
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    cursor: pointer;
    background: transparent;
    border: none;
    color: var(--white-clr);
}

/* Custom Thumbnail Youtube */
.video-wrapper {
  position: relative;
  width: 100%;
  max-width: 640px;
  aspect-ratio: 16 / 9;
  overflow: hidden;
}

.custom-thumbnail {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-position: center;
  cursor: pointer;
  z-index: 2;
  transition: opacity 0.3s;
  overflow: hidden; /* Jaga isinya tetap di dalam */
  display: flex;
  justify-content: center;
  align-items: center;
}

.play-button {
  width: 60px;
  height: 60px;
  background: rgba(0,0,0,0.6);
  border-radius: 50%;
  position: relative;
}

.play-button::after {
  content: '';
  position: absolute;
  left: 22px;
  top: 18px;
  width: 0;
  height: 0;
  border-left: 20px solid white;
  border-top: 12px solid transparent;
  border-bottom: 12px solid transparent;
}

.youtube-container {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
}
.tengah{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.atas-tengah {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.bawah-tengah {
    position: absolute;
    bottom: 50%;
    left: 50%;
    transform: translate(-50%, 50%);
}

.atas-kiri {
    position: absolute;
    top: 0;
    left: 0;
}
.atas-kanan {
    position: absolute;
    top: 0;
    right: 0;
}
.bawah-kiri {
    position: absolute;
    bottom: 0;
    left: 0;
}
.bawah-kanan {
    position: absolute;
    bottom: 0;
    right: 0;
}

#cover{
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    flex-wrap: nowrap;
    min-height: 100vh;
    max-height: fit-content;
}